ubuntu/+source/network-manager-openvpn:applied/ubuntu/bionic

Last commit made on 2018-03-13
Get this branch:
git clone -b applied/ubuntu/bionic https://git.launchpad.net/ubuntu/+source/network-manager-openvpn
Members of Ubuntu Server Dev import team can upload to this branch. Log in for directions.

Branch merges

Branch information

Name:
applied/ubuntu/bionic
Repository:
lp:ubuntu/+source/network-manager-openvpn

Recent commits

b93a307... by Michael Biebl on 2018-03-13

Import patches-applied version 1.8.2-1 to applied/ubuntu/bionic-proposed

Imported using git-ubuntu import.

Changelog parent: 1e78621bb6315c8a83a32575de0c64cb3de4d953
Unapplied parent: f08cd69e42dbe94f824be87ea0f37dd14ee83597

New changelog entries:
  * New upstream version 1.8.2
  * Drop debian/patches/01-Fix_unusable_config_imports.patch, merged upstream

f08cd69... by Michael Biebl on 2018-03-13

Import patches-unapplied version 1.8.2-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: e64ee287b444fd11b74decbe13efad7ece48c2b4

New changelog entries:
  * New upstream version 1.8.2
  * Drop debian/patches/01-Fix_unusable_config_imports.patch, merged upstream

1e78621... by Michael Biebl on 2018-03-10

Import patches-applied version 1.8.0-3 to applied/ubuntu/bionic-proposed

Imported using git-ubuntu import.

Changelog parent: d59554b6faa2c117a17df98d7bce254cc1b66327
Unapplied parent: 56a0e8c963106f3f6b3b5f115647cb141bef6ba2

New changelog entries:
  [ Matteo F. Vescovi ]
  * debian/patches/: patchset updated
    - 01-Fix_unusable_config_imports.patch added (Closes: #736243, #888653)
  * debian/control: Vcs-* fields updated to point to salsa.d.o
  [ Michael Biebl ]
  * Set Rules-Requires-Root to no

56a0e8c... by Michael Biebl on 2018-03-10

Fix_unusable_config_imports

Gbp-Pq: 01-Fix_unusable_config_imports.patch.

e64ee28... by Michael Biebl on 2018-03-10

Import patches-unapplied version 1.8.0-3 to debian/sid

Imported using git-ubuntu import.

Changelog parent: b2acfe9205db8dc1bdac292c33981c951bec6d14

New changelog entries:
  [ Matteo F. Vescovi ]
  * debian/patches/: patchset updated
    - 01-Fix_unusable_config_imports.patch added (Closes: #736243, #888653)
  * debian/control: Vcs-* fields updated to point to salsa.d.o
  [ Michael Biebl ]
  * Set Rules-Requires-Root to no

d59554b... by Michael Biebl on 2018-01-21

Import patches-applied version 1.8.0-2 to applied/ubuntu/bionic-proposed

Imported using git-ubuntu import.

Changelog parent: fe64402580ad4e3118170cbb6c3bb813de54e923
Unapplied parent: b2acfe9205db8dc1bdac292c33981c951bec6d14

New changelog entries:
  * Upload to unstable
  * Bump debhelper compat level to 11
  * Bump Standards-Version to 4.1.3
  * New upstream version 1.8.0
  * Switch to dh_missing and abort on uninstalled files
  * Bump Build-Depends as per configure.ac
  * Bump Standards-Version to 4.1.0
  * Stop installing nm-openvpn-dialog.ui.
    With the switch to GResource those resource files are built into the
    executable.
  * New upstream version 1.2.10
  * Switch URLs to https
  * Drop obsolete Build-Depends on libdbus-glib-1-dev.
    It is no longer required after the port to GDBus.
  * Stop building with libnm-glib compat support
  * Remove obsolete nm-openvpn-service.name conffile on upgrades
  * Use architecture.mk provided by dpkg-dev to retrieve DEB_HOST_MULTIARCH
  * Use --as-needed to avoid unnecessary shlibs dependencies
  * Install AppData file in the gnome package
  * New upstream release
  * Update Vcs-* according to the latest recommendation
  * Install AppData file
  * Move libnm-vpn-plugin-openvpn.so and translations into main package.
    This plugin is used by nmcli and doesn't have any GTK dependencies.
  * Don't run the tests in parallel for now until bgo#772464 is fixed.
    (Closes: #839848)
  * New upstream release.
    - Fix recent change in behavior for "comp-lzo=no" setting.
      (Closes: #833166)
  * Bump debhelper compat level to 10.
  * Drop Use-user-nobody-group-nogroup-when-exporting-an-OpenVPN-c.patch. This
    patch is no longer necessary as we now create a nm-openvpn system user in
    postinst. So we use that instead of nobody / nogroup when exporting an
    OpenVPN connection.
  * Imported Upstream version 1.2.4
  * Bump Build-Depends on libsecret-dev to (>= 0.18) as per configure.ac
  * Refresh patches
  * New upstream release.
  * Bump network-manager related build dependencies to >= 1.2.0.
  * Add Depends on network-manager (>= 1.2.0) to network-manager-vpnc. This
    ensures we have a version that can handle plugin paths which are not
    absolute. (Closes: #823062)
  * Bump Standards-Version to 3.9.8.
  * New upstream release.

b2acfe9... by Michael Biebl on 2018-01-21

Import patches-unapplied version 1.8.0-2 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 10e5d4df77c0a6bc5a19c1b6ddcb4ebabf188bba

New changelog entries:
  * Upload to unstable
  * Bump debhelper compat level to 11
  * Bump Standards-Version to 4.1.3

10e5d4d... by Michael Biebl on 2017-09-29

Import patches-unapplied version 1.8.0-1 to debian/experimental

Imported using git-ubuntu import.

Changelog parent: ad9daaac5248544fc0e447f73ddd2e8ac2ed1f28

New changelog entries:
  * New upstream version 1.8.0
  * Switch to dh_missing and abort on uninstalled files
  * Bump Build-Depends as per configure.ac
  * Bump Standards-Version to 4.1.0
  * Stop installing nm-openvpn-dialog.ui.
    With the switch to GResource those resource files are built into the
    executable.

ad9daaa... by Michael Biebl on 2017-05-17

Import patches-unapplied version 1.2.10-1 to debian/experimental

Imported using git-ubuntu import.

Changelog parent: 94553567c0860308c110bf621b6371d3af312f2c

New changelog entries:
  * New upstream version 1.2.10

9455356... by Michael Biebl on 2017-05-12

Import patches-unapplied version 1.2.8-3 to debian/experimental

Imported using git-ubuntu import.

Changelog parent: 28e5241c95c8bc730c9eae24bdceccf2b228a244

New changelog entries:
  * Switch URLs to https
  * Drop obsolete Build-Depends on libdbus-glib-1-dev.
    It is no longer required after the port to GDBus.
  * Stop building with libnm-glib compat support
  * Remove obsolete nm-openvpn-service.name conffile on upgrades
  * Use architecture.mk provided by dpkg-dev to retrieve DEB_HOST_MULTIARCH
  * Use --as-needed to avoid unnecessary shlibs dependencies